# Generated by Django 3.2.14 on 2023-01-02 10:36

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0107_auto_20220715_0743'),
        ('document', '0092_connectwisepurchaseorderlineitemsdata_is_cancelled'),
    ]

    operations = [
        migrations.CreateModel(
            name='FinanceData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('received_status', models.CharField(max_length=100, null=True)),
                ('po_number', models.CharField(max_length=100)),
                ('purchase_order_status', models.CharField(max_length=100, null=True)),
                ('product_id', models.CharField(max_length=500)),
                ('description', models.TextField(null=True)),
                ('received_quantity', models.IntegerField(null=True)),
                ('unit_cost_in_receiving', models.FloatField(null=True)),
                ('vendor_company_name', models.CharField(max_length=500)),
                ('vendor_order_number', models.CharField(max_length=200, null=True)),
                ('customer_company_name', models.CharField(blank=True, max_length=500, null=True)),
                ('ordered_quantity', models.IntegerField()),
                ('serial_numbers', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), size=None)),
                ('shipping_method', models.CharField(max_length=100, null=True)),
                ('tracking_numbers', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), blank=True, default=list, size=None)),
                ('ext_cost_in_receiving', models.FloatField(null=True)),
                ('location', models.CharField(max_length=100, null=True)),
                ('expected_ship_date', models.DateTimeField(null=True)),
                ('unit_cost_in_so', models.FloatField(null=True)),
                ('unit_price', models.FloatField(null=True)),
                ('ext_price', models.FloatField(null=True)),
                ('ext_cost_in_so', models.FloatField(null=True)),
                ('opportunity_name', models.TextField(null=True)),
                ('sales_order_crm_id', models.PositiveIntegerField()),
                ('po_date', models.DateTimeField(default=None, null=True)),
                ('so_linked_pos', models.JSONField(default=list)),
                ('customer_po_number', models.CharField(max_length=100, null=True)),
                ('quantity', models.IntegerField(null=True)),
                ('is_closed', models.BooleanField(default=False)),
                ('is_cancelled', models.BooleanField(default=False)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
